# USGS NWIS data visualizations

Gets river discharge data from the USGS NWIS and makes visualizations

## To run :
1. Clone the repository
2. Change the working directory in line 6 of `USGS_NWIS.R`. The script will make the `data` and `figures` directory in the working directory. 10 rivers will generate ~100MB of total data and figures.
3. Edit the list of rivers and their respective site IDs in `river_IDs.csv`
4. Run the script. The intitial download of the data will take some time. Subsequent runs will just download new data.

## Example figure
![example figure](https://git.dendroalsia.net/ben/USGS_NWIS/raw/commit/057ca3e2d4cdedbc80f9ffe05444163af1beae89/example_last_6_months.png)
